Bug 623315 - Webcam [064e:a116] don't work with some software
Summary: Webcam [064e:a116] don't work with some software
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 13
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-11 18:32 UTC by David Oboeuf
Modified: 2011-05-21 20:44 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-21 20:44:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Oboeuf 2010-08-11 18:32:18 UTC
Description of problem: When I will use my webcam with emesene or cheese, the kernel log says "uvcvideo: Failed to resubmit video URB (-27)" like in the Bug 600998. But webcam works with ekiga.


Version-Release number of selected component (if applicable): Fedora 13


How reproducible: Use a webcam's user software


Steps to Reproduce:
1.Load a kernel after the 2.6.32 series
2.Use a webcam's user software
3.
  
Actual results: A black screen


Expected results: Webcam's frame


Additional info: I tried some Fedora's kernel (from 2.6.32 to 2.6.35). Only the 2.6.32 series works with a lot of difficulties.
My webcam is (Bus 002 Device 002: ID 064e:a116 Suyin Corp).
My laptop is an Asus K50AD series

Comment 1 Hans de Goede 2010-08-12 11:39:32 UTC
Hi,

Can you try the kernel-2.6.34.3-37.fc13 update please, see bug 600998 comment 11 for installation instructions.

Thanks,

Hans

Comment 2 David Oboeuf 2010-08-12 13:01:16 UTC
Hi,

I updated the kernel to kernel-2.6.34.3-37.fc13 but it doesn't work anymore with all software. The kernel log message is still "uvcvideo: Failed to resubmit video URB (-27)".

Comment 3 Hans de Goede 2010-08-12 13:35:05 UTC
Ok, thanks for trying. I'll get the uvcvideo driver author to talk to you further about this. He will likely ask you to create some debug logs.

Comment 4 David Oboeuf 2010-08-13 09:19:58 UTC
Hi. 

Yes, I can create debug logs but which logs you want to have?

Comment 5 Laurent Pinchart 2011-02-15 18:51:54 UTC
-27 is -EFBIG, and means

"Host controller driver can't schedule that many ISO frames."

It's a low-level issue that might indicate a bug in the EHCI driver.

I don't think there's much I can do in the uvcvideo driver. Could you get in touch with the USB core and EHCI developers (through the linux-usb mailing list) ?

Comment 6 Hans de Goede 2011-05-21 20:44:26 UTC
Closing this as cantfix per comment #5.


Note You need to log in before you can comment on or make changes to this bug.